package com.ruoyi.oa.domain;

import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc领导分管对象 cmc_manage_dept
 * 
 * @author cmc
 * @date 2024-07-04
 */
public class CmcManageDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分管领导id */
    @Excel(name = "分管领导")
    private String userName;
    private Long userId;

    /** 分管部门id */
    @Excel(name = "分管部门")
    private String deptName;
    private String deptId;

    /** 院内对接单位 */
    @Excel(name = "院内对接单位")
    private String partyAName;
    private String partyAId;

    private SysUser user;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUser(SysUser user)
    {
        this.user = user;
        this.userName = user == null ? "" : user.getNickName();
    }

    public SysUser getUser()
    {
        return user;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setPartyAId(String partyAId) 
    {
        this.partyAId = partyAId;
    }

    public String getPartyAId() 
    {
        return partyAId;
    }
    public void setPartyAName(String partyAName)
    {
        this.partyAName = partyAName;
    }

    public String getPartyAName()
    {
        return partyAName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("partyAId", getPartyAId())
            .toString();
    }
}
